> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/remove-rasmfaradiusattr.md).

# Remove-RASMFARadiusAttr

## SYNOPSIS

Removes attribute settings from Radius provider settings.

## SYNTAX

```powershell
Remove-RASMFARadiusAttr [-AttributeType] {Number | String | IP | Time} [-Id] <uint>
 -AttributeID <uint> -RadiusAttrName <string> -Value <string> -Vendor <string> -VendorID <uint>
 [<CommonParameters>]
```

```powershell
Remove-RASMFARadiusAttr [-AttributeType] {Number | String | IP | Time} [-InputObject] <MFA>
 -AttributeID <uint> -RadiusAttrName <string> -Value <string> -Vendor <string> -VendorID <uint>
 [<CommonParameters>]
```

```powershell
Remove-RASMFARadiusAttr [-AttributeType] {Number | String | IP | Time} [-Name] <string>
 [[-SiteId] <uint>] -AttributeID <uint> -RadiusAttrName <string> -Value <string> -Vendor <string>
 -VendorID <uint> [<CommonParameters>]
```

## DESCRIPTION

The cmdlet removes attribute settings. The removal is done by specifying the parameters that will match the attribute.

## EXAMPLES

### Example 1

```powershell
Remove-RASMFARadiusAttr -VendorID 1 -AttributeID 1 -AttributeType Time -Value 1500892425 -Name attrName -Vendor vendorName
```

Removes an attribute from the Radius attribute list of type IP.

## PARAMETERS

### -VendorID

RADIUS attribute vendor ID

```yaml
Type: uint
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -AttributeID

RADIUS attribute ID

```yaml
Type: uint
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -Value

RADIUS attribute value

The value has many forms:IP, Number, String, and Time. When setting the time it is expected that the time value is in epoch time.

```yaml
Type: string
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -RadiusAttrName

RADIUS attribute name

```yaml
Type: string
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Vendor

RADIUS attribute vendor name

```yaml
Type: string
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -AttributeType

RADIUS attribute type. IP, string, number, or time

Possible values: Number, String, IP, Time

Type reference: [RadiusAttrType](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/radiusattrtype.md)

```yaml
Type: RadiusAttrType
Required: True
Position: 0
Default value: String
Accept pipeline input: False
Accept wildcard characters: False
```

### -Name

The name of the target multi-factor authentication .

This must be the actual multi-factor authentication name used in the RAS farm.

```yaml
Type: string
Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SiteId

Site ID in which to modify the specified multi-factor authentication .

If the parameter is omitted, the site ID of the Licensing Server will be used.

```yaml
Type: uint
Required: False
Position: 1
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -Id

The ID of the multi-factor authentication to modify. To obtain the ID, use the Get-RASMFA cmdlet.

```yaml
Type: uint
Required: True
Position: 0
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -InputObject

The multi factor authentication to modify.

To obtain an object of type MFA, use the Get-RASMFA cmdlet.

Type reference: [MFA](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/mfa.md)

```yaml
Type: MFA
Required: True
Position: 0
Default value: None
Accept pipeline input: true (ByValue)
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [MFA](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/mfa.md)

## OUTPUTS

### None

## RELATED LINKS

* [Add-RASMFARadiusAttr](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/add-rasmfaradiusattr.md)
* [Get-RASMFARadiusAttr](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rasmfaradiusattr.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/remove-rasmfaradiusattr.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
